AnyEvent::Strict(3pm)

NAME
AnyEvent::Strict - force strict mode on for the whole process

SYNOPSIS
   use AnyEvent::Strict;
   # strict mode now switched on

DESCRIPTION
This module implements AnyEvent's strict mode.

Loading it makes AnyEvent check all arguments to AnyEvent-methods, at the expense of being slower (often the argument checking takes longer than the actual function). It also wraps all callbacks to check for modifications of $_, which indicates a programming bug inside the watcher callback.

Normally, you don't load this module yourself but instead use it indirectly via the "PERL_ANYEVENT_STRICT" environment variable (see AnyEvent). However, this module can be loaded manually at any time.

AUTHOR
 Marc Lehmann <schmorp@schmorp.de>
 http://anyevent.schmorp.de